# Locations

Fetches a list of locations.

# Options

Method Url Description
GET /api/v1/locations Retrieves all.
GET /api/v1/locations/{uuid} Retrieves one by UUID.
GET /api/v1/locations/{uuid}/translations Retrieves all translations.
GET /api/v1/locations/{uuid}/translations/{language} Retrieves one translation.
GET /api/v1/locations/random Retrieves one random.

# Schema

Returns a json with the following stucture:

Field Data Type
uuid UUID
href String
name Filter String
description Filter String
thumbnail String
images List<String>
sources List<String>
created_at Date
updated_at Date

# Filters

Field Example Modification
name ?name=Lorem EQUALS
description ?description=Lorem EQUALS

# Example

GET /api/v1/locations/random

{
  "uuid": "f374c7fd-4468-458d-a219-cf71c7a1254a",
  "href": "/api/v1/locations/f374c7fd-4468-458d-a219-cf71c7a1254a",
  "sources": [
    "https://strangerthings.fandom.com/wiki/Mayfield_trailer",
    "https://strangerthings.fandom.com/wiki/Category:Locations"
  ],
  "thumbnail": "https://s6.imgcdn.dev/xb20L.jpg",
  "name": "Mayfield trailer",
  "description": "The Mayfield trailer is a trailer home that Max Mayfield and her mother lived in after Max's stepfather.",
  "language": "en-US",
  "images": [
    "https://oddstops.com/i/2022/07/15/20220715084940-max-trailer.webp",
    "https://oddstops.com/i/2022/07/15/p-202207150836-trailer-park-stranger-thing.webp"
  ],
  "created_at": "2023-07-26T22:26:11.324",
  "updated_at": "2023-07-26T22:26:11.324"
}